Subject: Re: [PATCH] [POWERPC] 4xx: Add endpoint support to 4xx PCIe driver

From: Stefan Roese <[email-masked]>
Date: Thu, 10 Apr 2008 15:37:27 +0200

On Thursday 10 April 2008, Benjamin Herrenschmidt wrote:
> > Understood. But for this "dynamic" root-complex/endpoint configuration as
> > implemented with the current version of the patch, I can't change the
> > PCIe node in the dts from root-complex mode to endpoint mode, since I
> > would loose root-complex functionality. Perhaps I'm missing something
> > here.
>
> Well, I would expect the firmware (ie. uboot) to provide the right
> device-node type...

Now I have to re-check to see what you really have in mind. Do you think about 
creating two different PCIe nodes, one for root-complex and one for endpoint 
functionality? Or is your idea to add a property to the existing PCIe 
device-tree node (like "mode = endpoint"), or perhaps change the device_type 
from "pci" to "pci-endpoint"? I would vote for the latter.

Best regards,
Stefan